// 导出的方法  tHeader => 设置Excel的表格第一行的标题  filterVal => 对象的属性key值 被导出listData => 导出数据  => 导出(文件)名称
import { export_json_to_excel } from "/@/assets/excel/Export2Excel"; //引入文件

export function outExportExcel(tHeader = [], filterVal = [], listData = [], exportName = new Date().getTime()) {
    // 注意这个Export2Excel路径
    const data = formatJson(filterVal, listData);
    export_json_to_excel(tHeader, data, exportName);
}

function formatJson(filterVal, jsonData) {
    return jsonData.map(v => filterVal.map(j => v[j]))
}

